Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlRegularPolygon Class Reference

`#include <GlRegularPolygon.h>`

Inherits tlp::GlPolygon.

Inherited by tlp::GlCircle, tlp::GlHexagon, tlp::GlPentagon, and tlp::GlTriangle.

Inheritance diagram for tlp::GlRegularPolygon:

[legend]
Collaboration diagram for tlp::GlRegularPolygon:

[legend]
List of all members.

## Detailed Description

class to create a regular polygon

## Public Member Functions

- GlRegularPolygon (const Coord &position, const Size &size, unsigned int numberOfSides, const Color &outlineColor=Color(255, 0, 0, 255), const Color &fillColor=Color(0, 0, 255, 255), bool filled=true, bool outlined=true, const std::string &textureName="", float outlineSize=1.)
- virtual ~GlRegularPolygon ()
- void setStartAngle (float angle)
- unsigned int getNumberOfSides ()
- void resizePoints (const unsigned int number)
- void setNumberOfSides (unsigned int number)

## Protected Member Functions

- void computePolygon ()

## Protected Attributes

- Coord position
- Size size
- unsigned int numberOfSides
- float startAngle

## Constructor & Destructor Documentation

tlp::GlRegularPolygon::GlRegularPolygon | ( | const Coord & | position,
|  | const Size & | size,
|  | unsigned int | numberOfSides,
|  | const Color & | outlineColor = `Color(255, 0, 0, 255)`,
|  | const Color & | fillColor = `Color(0, 0, 255, 255)`,
|  | bool | filled = `true`,
|  | bool | outlined = `true`,
|  | const std::string & | textureName = `""`,
|  | float | outlineSize = `1.`
| ) |

| Constructor

virtual tlp::GlRegularPolygon::~GlRegularPolygon | ( |  | ) | `[virtual]`

| Default empty destructor

## Member Function Documentation

void tlp::GlRegularPolygon::computePolygon | ( |  | ) | `[protected]`

unsigned int tlp::GlRegularPolygon::getNumberOfSides | ( |  | ) |

| Get the number of Sides

void tlp::GlRegularPolygon::resizePoints | ( | const unsigned int | number | ) | `[virtual]`

| Set the number of sides (use setNumberOfSides) Reimplemented from tlp::GlPolygon.

void tlp::GlRegularPolygon::setNumberOfSides | ( | unsigned int | number | ) |

| Set the number of sides

void tlp::GlRegularPolygon::setStartAngle | ( | float | angle | ) |

| Set the start angle

## Member Data Documentation

unsigned int tlp::GlRegularPolygon::numberOfSides `[protected]`

Coord tlp::GlRegularPolygon::position `[protected]`

Size tlp::GlRegularPolygon::size `[protected]`

float tlp::GlRegularPolygon::startAngle `[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010